#pragma once
#include "Containers/Set.h"
#include "WingHandler.h"

class WingManual
{
public:
	enum class Section
	{
		All,
		HandlerHelp,
		Paths,
		Types,
		VariableDeclarations,
		EscapeSequences,
		Whitespace,
		MaterialEditing,
		ImportantCommands,
	};

	static void PrintHandlerPrototype(const FWingHandlerConfig& Handler);
	static void PrintHandlerArguments(const FWingHandlerConfig& Handler);
	static void PrintHandlerDescription(const FWingHandlerConfig& Handler);
	static void PrintHandlerHelp(const FWingHandlerConfig& Handler);
	static void PrintManual(TSet<Section> Sections, const FWingHandlerConfig* Handler, bool Abridged);
};
